UiPath Documentation
automation-cloud
latest
false

Automation Cloud API 指南

上次更新日期 2026年5月5日

Resolve Directory Entity

Resolves a single directory entity by its unique identifier and type, based on the organization ID.

API 端点

POST {accessURL}/{organizationName}/identity_/api/Directory/Resolve/{partitionGlobalId}

将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:

Cloud Platform访问 URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud 公共部门https://govcloud.uipath.us/
Automation Cloud 专用https://{customURL}.dedicated.uipath.com/

作用域

需要以下作用域:

  • PM.Directory

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。

路径参数

路径参数数据类型描述
partitionGlobalId (必填)String (GUID)The ID of the organization to resolve the entity within.

请求正文

The request body specifies the entity to resolve.

{
    "entityId": "string",
    "entityType": "User"
}
{
    "entityId": "string",
    "entityType": "User"
}
属性数据类型描述
entityId (必填)字符串The unique identifier of the directory entity.
entityType (必填)字符串The type of directory entity. Valid values: User, Group, Application.

响应

200 OK

Returns the full directory entity. The response shape varies based on entity type.

User response:

{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}

Group response:

{
    "objectType": "DirectoryGroup",
    "source": "aad",
    "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "name": "Engineering Team",
    "email": null,
    "displayName": "Engineering Team",
    "externalId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
{
    "objectType": "DirectoryGroup",
    "source": "aad",
    "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "name": "Engineering Team",
    "email": null,
    "displayName": "Engineering Team",
    "externalId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Application response:

{
    "objectType": "DirectoryApplication",
    "source": "aad",
    "identifier": "aad|c3d4e5f6-a7b8-9012-cdef-123456789012",
    "name": "My Application",
    "email": null,
    "displayName": "My Application",
    "applicationId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}
{
    "objectType": "DirectoryApplication",
    "source": "aad",
    "identifier": "aad|c3d4e5f6-a7b8-9012-cdef-123456789012",
    "name": "My Application",
    "email": null,
    "displayName": "My Application",
    "applicationId": "c3d4e5f6-a7b8-9012-cdef-123456789012"
}

404 未找到

Returned when the entity or partition cannot be found.

请求示例

假设您收集了构建 API 调用所需的所有信息。

  • 您的{baseURL}为: https://cloud.uipath.com/{organizationName}/identity
  • 您的 {access_token} 为:1234(出于长度考虑)。
  • {partitionGlobalId} 为:3fa85f64-5717-4562-b3fc-2c963f66afa6
  • You want to resolve a user with ID aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890.

调用应类似于以下示例 (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Resolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityId": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Resolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityId": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "entityType": "User"
}'

以下是成功调用的响应正文:

{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
{
    "objectType": "DirectoryUser",
    "source": "aad",
    "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "john.doe@example.com",
    "email": "john.doe@example.com",
    "displayName": "John Doe",
    "firstName": "John",
    "lastName": "Doe",
    "jobTitle": "Software Engineer",
    "companyName": "Contoso",
    "city": "Seattle",
    "department": "Engineering",
    "isActive": true,
    "creationTime": "2025-01-15T10:30:00Z"
}
  • API 端点
  • 作用域
  • 请求标头
  • 路径参数
  • 请求正文
  • 响应
  • 200 OK
  • 404 未找到
  • 请求示例

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新